import { filterDOMProps, mergeProps } from '@react-aria/utils';
import { mapDomPropsToRN } from '@react-native-aria/utils';
/**
 * Provides the accessibility implementation for a Tooltip component.
 */
export function useTooltip(props) {
  let domProps = filterDOMProps(props, {
    labelable: true
  });
  return {
    tooltipProps: mergeProps(domProps, mapDomPropsToRN({
      role: 'tooltip'
    }))
  };
}
//# sourceMappingURL=useTooltip.web.js.map